import { Floor } from "../../elements";
import { AibeeFacilityLayer, AibeeFloorData, AibeeGlbLayer, AibeeGraphicLayer, AibeeGroundLayer, AibeeLaneLayer, AibeeParkingSpaceLayer, AibeeStoreLayer, AibeeTextLayer, AibeeTexture2dLayer, AibeeTexture3dLayer, AibeeWallLayer } from "./type";
import { AibeeLoaderOptions, Locale, PlaceConfig } from ".";
export declare function transformLayers(layer: AibeeFloorData["layers"][0], floor: Floor, options: AibeeLoaderOptions): void;
export declare function transformLayersPoi(layer: AibeeFloorData["layers"][0], floor: Floor, locale: Locale, placeConfig: PlaceConfig, options: AibeeLoaderOptions): void | Promise<void>;
/**
 * 转换图元
 */
export declare function graphLayer(layer: AibeeGraphicLayer, floor: Floor, options: AibeeLoaderOptions): void;
export declare function groundLayer(layer: AibeeGroundLayer, floor: Floor): void;
/**
 * 转换墙
 * @param layer
 * @param floor
 */
export declare function wallLayer(layer: AibeeWallLayer, floor: Floor): void;
/**
 * 车道
 */
export declare function laneLayer(layer: AibeeLaneLayer, floor: Floor): void;
/**
 * 贴图
 * @param layer
 * @param floor
 */
export declare function textureLayer(layer: AibeeTexture2dLayer | AibeeTexture3dLayer, floor: Floor): void;
/**
 * 模型
 * @param layer
 * @param floor
 */
export declare function glbLayer(layer: AibeeGlbLayer, floor: Floor): void;
/**
 * 店铺
 * @param layer
 * @param floor
 */
export declare function storeLayer(layer: AibeeStoreLayer, floor: Floor, options: AibeeLoaderOptions): void;
export declare function storeLayerPoi(layer: AibeeStoreLayer, floor: Floor, locale: Locale, placeConfig: PlaceConfig, loaderOptions: AibeeLoaderOptions): void;
/**
 * 设施
 */
export declare function facilityLayer(layer: AibeeFacilityLayer, floor: Floor, options: AibeeLoaderOptions): void;
export declare function facilityLayerPoi(layer: AibeeFacilityLayer, floor: Floor, locale: Locale, placeConfig: PlaceConfig, loaderOptions: AibeeLoaderOptions): void;
/**
 * 车位
 */
export declare function parkingSpaceLayer(layer: AibeeParkingSpaceLayer, floor: Floor, options: AibeeLoaderOptions): void;
export declare function parkingSpaceLayerPoi(layer: AibeeParkingSpaceLayer, floor: Floor, placeConfig: PlaceConfig, loaderOptions: AibeeLoaderOptions): Promise<void>;
/**
 * 文字
 */
export declare function textLayer(layer: AibeeTextLayer, floor: Floor): void;
